Bug 854919 - 3.1 beta3 [VDSM] NON_VM_VLAN networks | MTU not updated in ifcfg-* file after removing VLAN network with higher MTU from nic/BOND
3.1 beta3 [VDSM] NON_VM_VLAN networks | MTU not updated in ifcfg-* file aft...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
medium Severity high
: beta
: ---
Assigned To: Igor Lvovsky
Meni Yakove
network
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 06:11 EDT by Meni Yakove
Modified: 2012-12-04 14:10 EST (History)
8 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-34.0
Doc Type: Bug Fix
Doc Text:
Previously, when you had more than one VLAN MTU networks attached to a NIC or bond and one network had a higher MTU setting than the other, removing the network with the higher MTU should have caused the MTU on the network or bond to change to reflect the MTU setting of the network with the next-highest MTU setting. This did not happen. VDSM has been updated so that the MTU is updated to reflect the network with the highest MTU setting remaining on the bond or network when the network with the previously-highest network is removed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:10:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (3.43 MB, text/x-log)
2012-09-06 06:11 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2012-09-06 06:11:12 EDT
Created attachment 610245 [details]
vdsm.log

Description of problem:
I have two VLAN MTU networks attached to nic/BOND one with MTU 5000 and one with MTU 9000 the MTU on the nic/BOND is 9000 as is should be. 
When removing the network with the highest MTU (9000) the MTU on the nic/BOND is still 9000

Version-Release number of selected component (if applicable):
vdsm-4.9.6-32.0.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Create two networks: NONVM_VLAN_MTU_5000 and NONVM_VLAN_MTU_9000
2.attach the networks to nic (ETH0) and apply
3.Remove the network with MTU 9000 (NONVM_VLAN_MTU_9000)
  
Actual results:
ETH0 still have MTU=9000 in the ifcfg-eth0 file

Expected results:
ETH0 should have MTU=5000 in the ifcfg-eth0 file
Comment 2 Igor Lvovsky 2012-09-06 10:24:21 EDT
http://gerrit.ovirt.org/#/c/7811/
Comment 6 Meni Yakove 2012-09-16 03:49:24 EDT
Verified on vdsm-4.9.6-34.0.el6_3.x86_64
Comment 9 errata-xmlrpc 2012-12-04 14:10:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.